Bug 143223 - [MAINTAINER] dns/mydns-ng: Fix some bugs
Summary: [MAINTAINER] dns/mydns-ng: Fix some bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-25 22:00 UTC by Hung-Yi Chen
Modified: 2010-01-27 13:10 UTC (History)
0 users

See Also:


Attachments
mydns-ng (7.74 KB, text/plain)
2010-01-25 22:00 UTC, Hung-Yi Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2010-01-25 22:00:13 UTC
* Fix for Bug #0000040 http://bugs.mydns-ng.com/view.php?id=40
  child processes must not shutdown() their sockets
* Fixes and reports a problem occuring with jumping system time,
  as reported when running inside some virtual machine. Time jumps
  are reported to the log with loglevel NOTICE.
* Delegation now has precedence over wildcard matching
  Thanks to Fab for the fix
  Fixes bugs #0000038, #0000042
Comment 1 Martin Wilke freebsd_committer 2010-01-26 01:04:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-27 13:03:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-27 13:03:45 UTC
miwi        2010-01-27 13:03:31 UTC

  FreeBSD ports repository

  Modified files:
    dns/mydns-ng         Makefile 
  Added files:
    dns/mydns-ng/files   patch-src_mydns-1.2.8_main.c 
                         patch-src_mydns-1.2.8_resolve.c 
                         patch-src_mydns-1.2.8_servercomms.c 
  Log:
  * Fix for Bug #0000040 http://bugs.mydns-ng.com/view.php?id=40
    child processes must not shutdown() their sockets
  * Fixes and reports a problem occuring with jumping system time,
    as reported when running inside some virtual machine. Time jumps
    are reported to the log with loglevel NOTICE.
  * Delegation now has precedence over wildcard matching
    Thanks to Fab for the fix
    Fixes bugs #0000038, #0000042
  
  PR:             143223
  Submitted by:   Hung-Yi Chen <gaod@hychen.org> (maintainer)
  
  Revision  Changes    Path
  1.49      +1 -1      ports/dns/mydns-ng/Makefile
  1.1       +100 -0    ports/dns/mydns-ng/files/patch-src_mydns-1.2.8_main.c (new)
  1.1       +76 -0     ports/dns/mydns-ng/files/patch-src_mydns-1.2.8_resolve.c (new)
  1.1       +16 -0     ports/dns/mydns-ng/files/patch-src_mydns-1.2.8_servercomms.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"